import java.util.List;

/**
 * 弹幕内容解释器
 * @param <T>
 */
public interface Parser<T> {
    //弹幕颜色
    String color(T content);

    //弹幕大小
    String size(T content);

    //弹幕文本
    String text(T content);

    //弹幕移动样式
    String style(T content);

    //弹幕发送时间
    String time(T content);

    /**
     * 根据视频播放地址解析弹幕数据
     * @param playUrl
     * @return
     */
    List<T> parse(String playUrl);

}
